com.trendmicro.ds.platform.rest.object.scheduledtask

## Class TimeRange

- java.lang.Object
- - com.trendmicro.ds.platform.rest.object.scheduledtask.TimeRange

-     public class TimeRange
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `TimeRange.Unit` The unit for the time range.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TimeRange()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TimeRange.Unit` | `getUnit()` Get the unit.
    `java.lang.Integer` | `getValue()` Get the value.
    `void` | `setUnit(TimeRange.Unit unit)` Set the unit.
    `void` | `setValue(java.lang.Integer value)` Set the value.
    `java.lang.String` | `toString()`
    `TimeRange` | `withUnit(TimeRange.Unit unit)` Set the unit.
    `TimeRange` | `withValue(java.lang.Integer value)` Set the value.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TimeRange

          public TimeRange()

  - ### Method Detail

    - #### getUnit

          public TimeRange.Unit getUnit()

      Get the unit.
      Returns:
        the unit.

    - #### setUnit

          public void setUnit(TimeRange.Unit unit)

      Set the unit.
      Parameters:
        `unit` - the unit.

    - #### withUnit

          public TimeRange withUnit(TimeRange.Unit unit)

      Set the unit.
      Parameters:
        `unit` - the unit.
      Returns:
        the updated TimeRange object.

    - #### getValue

          public java.lang.Integer getValue()

      Get the value.
      Returns:
        the value.

    - #### setValue

          public void setValue(java.lang.Integer value)

      Set the value.
      Parameters:
        `value` - the value.

    - #### withValue

          public TimeRange withValue(java.lang.Integer value)

      Set the value.
      Parameters:
        `value` - the value.
      Returns:
        the updated TimeRange object.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2017 Trend Micro Inc. All Rights Reserved.